Bug 834458 - libra_benchmark task is silently failing
libra_benchmark task is silently failing
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 18:33 EDT by Rob Millner
Modified: 2015-05-14 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-28 17:41:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Millner 2012-06-21 18:33:49 EDT
Description of problem:
The libra_benchmark task is producing results that are too low to have been successful.  It appears as though failures in app creation and scaling are not being flagged as problems.

Version-Release number of selected component (if applicable):


How reproducible:
Often

Steps to Reproduce:
1. Run libra_benchmark
2. Wait 8 hours
3. Examine output; compare to historical results
  
Actual results:
App creation is too short to have succeeded

Expected results:
App creation and scale-up either reports a failure or actually succeeds.

Additional info:
Comment 1 Rob Millner 2012-06-26 14:20:23 EDT
Li commit 7f16a01; pull request #10.
Comment 2 Rob Millner 2012-06-28 17:40:50 EDT
Pull request accepted.  DYN failures now show up.
Comment 3 Rob Millner 2012-06-28 17:41:37 EDT
Verified that the benchmark task runs and collects believable statistics as well as showing failures.

Note You need to log in before you can comment on or make changes to this bug.